/*
 * file CqRecordAutoTransitionCallback.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM 
 *
 * com.ibm.rational.wvcm.stp.cq.CqRecordAutoTransitionCallback
 *
 *  Copyright IBM Corporation 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.wvcm.stp.cc;

import javax.wvcm.WvcmException;

import com.ibm.rational.wvcm.stp.cq.CqAction;
import com.ibm.rational.wvcm.stp.cq.CqRecord;

/**
 * Interface to let a CM API application deal with state transitions of
 * ClearQuest records. 
 * This callback is invoked if there are required fields for the transition 
 * that the user needs to provide.
 */
public interface CqRecordAutoTransitionCallback {
    
    /**
     * Notify the client of a state transition
     * @param cqRecord the record being transitioned
     * @param cqAction the action being performed
     * @return true if the record's state was transitioned; false otherwise
     */
    public boolean handleAutoTransition(
            CqRecord cqRecord,
            CqAction cqAction);
}
